Package org.spongepowered.asm.util.asm

## Interface IAnnotatedElement

    public interface IAnnotatedElement

Interface for objects which can be annotated since main classes may need to read info from mirror annotations in the AP

### Method Summary

All Methods Instance Methods Abstract Methods
`IAnnotationHandle` `getAnnotation​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)` Get annotation from element

### Method Detail

#### getAnnotation

    IAnnotationHandle getAnnotation​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)

Get annotation from element

Parameters:
  `annotationClass` - Annotation class to retrieve
Returns:
  annotation handle